# Surveys

### Survey data object

| Field          | Type      | Example                                                | Description                                                |
| -------------- | --------- | ------------------------------------------------------ | ---------------------------------------------------------- |
| teamId         | string    | "5a3386af952bf6000177bdda"                             | Team id                                                    |
| languages      | string\[] | \["en", "es"]                                          | List of available languages for the survey                 |
| name           | string    | "Satisfaction survey"                                  | Survey name                                                |
| \_id           | string    | "5a3386af952bf6000177bdda"                             | Survey id                                                  |
| language       | string    | "en"                                                   | Language used to display titles, choices etc               |
| teamName       | string    | "My team name"                                         | Team name                                                  |
| createdBy      | string    | "Khal Drogo"                                           | User name                                                  |
| archived       | boolean   | false                                                  | Whether the survey is archived                             |
| questions      | array     |                                                        | Questions embedded within the survey                       |
| > \_id         | string    | "5a3386af952bf6000177bdda"                             | Question id                                                |
| > questionType | string    | "NPS"                                                  | [See Question types](/v.5.0.2/api/notes.md#question-types) |
| > title        | string    | "How would you recommend us to a friend or colleague?" | Question title                                             |
| > choices      | array     |                                                        | Question choices                                           |
| >> fieldId     | string    | "1"                                                    | The id of the field                                        |
| >> fieldName   | string    | "Beef"                                                 | The label of the choice                                    |
| >> type?       | string    | "string"                                               | Type of field (Contact question type)                      |
| >> subType?    | string    | "tel"                                                  | Subtype of the field (Contact question type)               |
| >> imageUrl?   | string    | "<https://example.com/1.png>"                          | Image url of the choice (Image question type)              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/v.5.0.2/api/surveys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
